Subject: Re: lojban as a programming language [was Re: [lojban] Lojban for lay program...

From: [email-masked]
Date: Tue, 29 Jan 2002 15:00:33 EST

In a message dated 1/29/2002 1:33:22 PM Central Standard Time, 
[email-masked] writes:

> Subj:Re: lojban as a programming language [was Re: [lojban] Lojban for lay 
> programmers] 
> Date:1/29/2002 1:33:22 PM Central Standard Time
> From:<A HREF="mailto:[email-masked]">[email-masked]</A>
> To:<A HREF="mailto:[email-masked]">[email-masked]</A>
> Sent from the Internet 
> 
> 
> 
> 
> > Lee Daniel Crocker:
> > >And I don't know whether or not Lojban will ever become a full-
> > >fledge "human language". I hope so, but I fear that the fact that
> > >it was designed utterly without regard to the hard-wired language
> > >processing features of the human brain might make that difficult.
> >
> > >I'm not saying that was a bad decision: indeed, that's one of the
> > >very purposes for which it was created: to see if it could help
> > >discover such features. But cognitive science beat us to the
> > >punch, and there is now no serious doubt that such features are
> > >present, so Lojban's deviance from them is a problem for getting
> > >it accepted as a common-use language.
> 
> 
> 
> So Chomsky 1, S-W 0. Is the game over?

I'm not convinced that the two are in the same game. Language universals 
seem mainly to be about syntactic structures, not about syntactic types, and 
they say nothing about habitual thought patterns and the like. I am also 
curious just where Lojban deviates from such universals; I can't think of one 
off hand and the usual complaint about Lojban is that it is too much like ... 
to be a good S-W test (again not that the two have anything to do with one 
another).